<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
  <!ENTITY % general-entities SYSTEM "../../general.ent">
  %general-entities;

  <!ENTITY xorg-libinput-driver-version "1.5.0">

  <!ENTITY xorg-libinput-driver-download-http "&xorg-download-http;/driver/xf86-input-libinput-&xorg-libinput-driver-version;.tar.xz">
  <!ENTITY xorg-libinput-driver-download-ftp  " ">
  <!ENTITY xorg-libinput-driver-md5sum        "f8d0fb6987d843e688d597c2b66ec824">
  <!ENTITY xorg-libinput-driver-size          "324 KB">
  <!ENTITY xorg-libinput-driver-buildsize     "3.9 MB (with tests)">
  <!ENTITY xorg-libinput-driver-time          "less than 0.1 SBU (with tests)">
]>

  <!-- Begin Xorg input-libinput Driver -->
  <sect2 id="xorg-libinput-driver" xreflabel="xorg-libinput-&xorg-libinput-driver-version;">

  <sect2info>
    <date>$Date$</date>
  </sect2info>

    <title>Xorg Libinput Driver-&xorg-libinput-driver-version;</title>

    <indexterm zone="xorg-libinput-driver">
      <primary sortas="a-xorg-libinput-driver">xorg-libinput-driver</primary>
    </indexterm>

    <sect3 role="package">
      <title>Introduction to Xorg Libinput Driver</title>

      <para>
        The <application>X.Org Libinput Driver</application> is a thin wrapper
        around libinput and allows for libinput to be used for input devices in
        X. This driver can be used as drop-in replacement for evdev and
        synaptics.
      </para>

      &lfs122_checked;

      <bridgehead renderas="sect4">Package Information</bridgehead>
      <itemizedlist spacing="compact">
        <listitem>
          <para>
            Download (HTTP): <ulink url="&xorg-libinput-driver-download-http;"/>
          </para>
        </listitem>
        <listitem>
          <para>
            Download (FTP): <ulink url="&xorg-libinput-driver-download-ftp;"/>
          </para>
        </listitem>
        <listitem>
          <para>
            Download MD5 sum: &xorg-libinput-driver-md5sum;
          </para>
        </listitem>
        <listitem>
          <para>
            Download size: &xorg-libinput-driver-size;
          </para>
        </listitem>
        <listitem>
          <para>
            Estimated disk space required: &xorg-libinput-driver-buildsize;
          </para>
        </listitem>
        <listitem>
          <para>
            Estimated build time: &xorg-libinput-driver-time;
          </para>
        </listitem>
      </itemizedlist>

      <bridgehead renderas="sect4">Xorg Libinput Driver Dependencies</bridgehead>

      <bridgehead renderas="sect5">Required</bridgehead>
      <para role="required">
        <xref linkend="libinput"/> and
        <xref linkend="xorg-server"/>
      </para>

    </sect3>

    <sect3 role="installation">
      <title>Installation of Xorg Libinput Driver</title>

      <para>
        Install <application>Xorg Libinput Driver</application> by running the following
        commands:
      </para>

<screen><userinput>./configure $XORG_CONFIG &amp;&amp;
make</userinput></screen>

      <para>
        To test the results, issue <command>make check</command>.
      </para>

      <para>
        Now, as the <systemitem class="username">root</systemitem> user:
      </para>

<screen role="root"><userinput>make install</userinput></screen>
    </sect3>

    <sect3 role="content">
      <title>Contents</title>

      <segmentedlist>
        <segtitle>Installed Xorg Driver</segtitle>

        <seglistitem>
          <seg>
            libinput_drv.so
          </seg>
        </seglistitem>
      </segmentedlist>

      <variablelist>
        <bridgehead renderas="sect4">Short Descriptions</bridgehead>
        <?dbfo list-presentation="list"?>
        <?dbhtml list-presentation="table"?>

        <varlistentry id="libinput_drv">
          <term><filename class="libraryfile">libinput_drv.so</filename></term>
          <listitem>
            <para>
              is an Xorg input driver for mouse, keyboard, touchpad,
              touchscreen, and tablet devices
            </para>
            <indexterm zone="xorg-libinput-driver libinput_drv">
              <primary sortas="c-libinput_drv">libinput_drv.so</primary>
            </indexterm>
          </listitem>
        </varlistentry>

      </variablelist>

    </sect3>

  </sect2>
